#gw 2.7.0, the yahoo plugin does not build otherwise
%define _disable_ld_no_undefined 1

%define major 0
%define libname %mklibname purple %{major}
%define libclient %mklibname purple-client %{major}
%define libgnt %mklibname gnt %{major}
%define develname %mklibname purple -d

%define build_evolution 0
%define build_silc 1
%define build_meanwhile 1
%define build_networkmanager 1
%define build_perl 1
#gw http://developer.pidgin.im/ticket/11936#comment:1
%define build_mono 0
%define build_vv 1
# (tpg) libgadu is now in main, pidgin's one is really old
# gw pidgin's internal libgadu was updated recently
# build against external version if possible, keep in mind older distros
# might have older libgadu
#gw configure check is used unless --with-* options are used:
%define build_libgadu 0

%ifarch mips mipsel
%define build_mono 0
%endif

%if %mdvver < 201020
%define build_vv 0
%endif

%if %mdvver <= 201100
%define build_evolution 1
%endif

Summary:	A GTK+ based multiprotocol instant messaging client
Name:		pidgin
Version:	2.10.4
Release:	%mkrel 1
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		http://www.pidgin.im/
Source0:	http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
#gw from Fedora: generate one time passwords
Source2:	one_time_password.c
Patch0:		pidgin-2.7.0-smiley.patch
Patch3:		pidgin-2.4.2-set-jabber-as-module.patch
#gw fix build with mono 2.6.4 which does not have the nessessary glib dep
#in the pkgconfig file
#also add missing include
Patch6:		pidgin-2.7.0-mono-build.patch
#gw fix reading resolv.conf in NetworkManager integration
Patch111:	%{name}-2.8.0-reread-resolvconf.patch
Patch115:	%{name}-2.10.0-gg-search-by-uin.patch
Patch116:	%{name}-2.8.0-gg-disconnect.patch
Patch117:	pidgin-2.10.1-fix-perl-module-build.patch
# since libtool drops soname for unversioned modules now, we need to explicitly
# add soname to plugins that other plugins links against it
Patch118:	pidgin-2.10.2-explicitly-add-soname-to-liboscar-and-libjabber.patch

BuildRequires:	desktop-file-utils
BuildRequires:	doxygen
BuildRequires:	GConf2
BuildRequires:	graphviz
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	tk-devel
BuildRequires:	tcl-devel
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(gnutls)

BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:	pkgconfig(gtk+-2.0)
Buildrequires:	pkgconfig(gtkspell-2.0) >= 2.0.2
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(jack)
BuildRequires:  pkgconfig(libidn)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.5
Buildrequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(nspr)
%if %mdkversion >= 201100
Buildrequires:	pkgconfig(python)
%else
BuildRequires:	python-devel
%endif
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sm)
Buildrequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(x11)
%if %build_libgadu
Buildrequires:	pkgconfig(libgadu) >= 1.11.0
%endif
%if %build_networkmanager
Buildrequires:	pkgconfig(libnm-util)
%endif
%if %build_meanwhile
BuildRequires:	pkgconfig(meanwhile) >= 1.0.0
%endif
%if %build_evolution
BuildRequires:	pkgconfig(evolution-data-server-1.2)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:  pkgconfig(libedata-book-1.2)
%endif
%if %build_silc
BuildRequires:	pkgconfig(silc) >= 0.9.12
BuildRequires:	pkgconfig(silcclient) >= 0.9.12
%endif
%if %build_perl
BuildRequires:	perl-devel
%endif
%if %build_mono
BuildRequires:	pkgconfig(mono)
%endif
%if %build_vv
BuildRequires:  pkgconfig(farsight2-0.10)
Suggests: gstreamer0.10-farsight2
%endif

Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	%{name}-client >= %{version}-%{release}
Requires:	rootcerts
Requires:	xdg-utils

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package plugins
Summary:	Pidgin plugins shared by the Purple and Finch
Group:		Networking/Instant messaging
Conflicts:	%{name} < 2.4.1-3

%description plugins
This contains the parts of Pidgin that are shared between the Purple and
Finch Instant Messengers.

%package perl
Summary:	Purple extension, to use perl scripting
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}-%{release}

%description perl
Purple can use perl script as plugin, this plugin enable them.

%package tcl
Summary:	Purple extension, to use tcl scripting
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}-%{release}

%description tcl
Purple can use tcl script as plugin, this plugin enable them.

%if %build_evolution
%package gevolution
Summary:	Pidgin extension, for Evolution integration
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}-%{release}

%description gevolution
This pidgin plugin allows you to have pidgin working together with evolution.
%endif

%package silc
Summary:	Purple extension, to use SILC (Secure Internet Live Conferencing)
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}-%{release}

%description silc
This purple plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

%package -n %{develname}
Summary:	Development files for pidgin
Group:		Development/GNOME and GTK+
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{libgnt} = %{version}-%{release}
Requires:	%{libclient} = %{version}-%{release}
Provides:	pidgin-devel = %{version}-%{release}

%description -n %{develname}
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%package -n %{libname}
Summary:	The libpurple library for IM clients like Pidgin and Finch
Group:		System/Libraries

%description -n %{libname}
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

%package -n %{libclient}
Summary:	The libpurple-client library for %{name}-client
Group:		System/Libraries
Conflicts:	%{name}-client < 2.10.1-1

%description -n %{libclient}
libpurple-client contains the shared library for %{name}-client.

%package -n %{libgnt}
Summary:	The libgnt library for the Finch IM client
Group:		System/Libraries
%rename %{_lib}finch0

%description -n %{libgnt}
libgnt contains the core IM support for the Finch IM client.

libgnt supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n finch
Summary:	A text-based user interface for Pidgin
Group:		Networking/Instant messaging
Requires:	%{name}-i18n >= %{version}-%{release}
Requires:	%{name}-plugins >= %{version}-%{release}
Requires:	%{name}-client >= %{version}-%{release}

%description -n	finch
A text-based user interface for using libpurple. This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.

%package bonjour
Summary:	Bonjour plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}-%{release}

%description bonjour
Bonjour plugin for purple.

%package meanwhile
Summary:	Lotus Sametime Community Client plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}-%{release}

%description meanwhile
Lotus Sametime Community Client plugin for purple.

%package client
Summary:	Plugin and sample client to control purple clients
Group:		Networking/Instant messaging
Requires:	dbus-python

%description client
Applications and library to control purple clients remotely.

%if %build_mono
%package mono
Summary:	Purple extension, to use Mono plugins
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}-%{release}

%description mono
Purple can use plugins developed with Mono.
%endif

%package i18n
Summary:	Translation files for Pidgin/Finch
Group:		Networking/Instant messaging

%description i18n
This package contains translation files for Pidgin/Finch.

%prep
%setup -q
%patch0 -p1 -b .smiley
%patch3 -p0
%patch6 -p1
%patch111 -p1 -b .reread-resolvconf
%patch115 -p1 -b .gg-search
%patch116 -p1
%patch117 -p1 -b .perl_buildfix~
%patch118 -p1 -b .soname~

autoreconf -fi -Im4macros

%build
%configure2_5x \
	--enable-gnutls=yes \
%if %build_perl
	--enable-perl \
%else
	--disable-perl \
%endif
%if %build_mono
	--enable-mono \
%else
	--disable-mono \
%endif
%if %build_networkmanager
	--enable-nm \
%else
	--disable-nm \
%endif
%if %build_evolution
	--enable-gevolution \
%endif
%if ! %build_vv
	--disable-vv \
%endif
	--without-krb4 \
	--enable-cap \
	--with-system-ssl-certs=%{_sysconfdir}/pki/tls/rootcerts/ \
	--disable-static \
	--disable-schemas-install

%make

# one_time_password plugin, to be merged upstream soon
cp %{SOURCE2} libpurple/plugins/
pushd libpurple/plugins/
make one_time_password.so
popd

%install
rm -rf %{buildroot}

%makeinstall_std mkinstalldirs='mkdir -p'

install -m 0755 libpurple/plugins/one_time_password.so %{buildroot}%{_libdir}/purple-2/

desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# remove files not bundled
rm -f %{buildroot}%{_libdir}/*/*.la 
rm -f %{buildroot}%{_prefix}/*/perl5/*/perllocal.pod \
      %{buildroot}%{_libdir}/*/perl/auto/*/{.packlist,*.bs,autosplit.ix}
rm -f %{buildroot}%{_libdir}/*.*a

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas purple

%files i18n -f %{name}.lang

%files
%doc AUTHORS COPYRIGHT ChangeLog
%doc NEWS README README.MTN doc/the_penguin.txt
%{_mandir}/man1/pidgin.*
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_datadir}/sounds/purple
%{_libdir}/pidgin/cap.so
%{_libdir}/pidgin/convcolors.so
%{_libdir}/pidgin/extplacement.so
%{_libdir}/pidgin/gestures.so
%{_libdir}/pidgin/gtkbuddynote.so
%{_libdir}/pidgin/history.so
%{_libdir}/pidgin/iconaway.so
%{_libdir}/pidgin/markerline.so
%{_libdir}/pidgin/musicmessaging.so
%{_libdir}/pidgin/notify.so
%{_libdir}/pidgin/pidginrc.so
%{_libdir}/pidgin/relnot.so
%{_libdir}/pidgin/sendbutton.so
%{_libdir}/pidgin/spellchk.so
%{_libdir}/pidgin/themeedit.so
%{_libdir}/pidgin/ticker.so
%{_libdir}/pidgin/timestamp.so
%{_libdir}/pidgin/timestamp_format.so
%if %build_vv
%{_libdir}/pidgin/vvconfig.so
%endif
%{_libdir}/pidgin/xmppconsole.so
%{_libdir}/pidgin/xmppdisco.so

%files -n %{develname}
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/*
%{_datadir}/aclocal/purple.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpurple.so
%{_libdir}/libgnt.so
%{_libdir}/libpurple-client.so

%files -n %{libname}
%{_libdir}/libpurple.so.%{major}*

%files -n %{libclient}
%{_libdir}/libpurple-client.so.%{major}*

%files -n %{libgnt}
%{_libdir}/libgnt.so.%{major}*

%files client
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-client-example
%{_bindir}/purple-url-handler
%{_libdir}/purple-2/dbus-example.so

%files -n finch
%doc %{_mandir}/man1/finch.*
%{_bindir}/finch
%{_libdir}/finch/
%{_libdir}/gnt/

%if %build_perl
%files perl
%doc doc/PERL-HOWTO.dox
%dir %{_libdir}/%{name}/perl
%{_libdir}/%{name}/perl/Pidgin.pm
%dir %{_libdir}/%{name}/perl/auto
%dir %{_libdir}/%{name}/perl/auto/Pidgin/
%{_libdir}/%{name}/perl/auto/Pidgin/Pidgin.so
%dir %{_libdir}/purple-2/perl
%{_libdir}/purple-2/perl/Purple.pm
%dir %{_libdir}/purple-2/perl/auto
%dir %{_libdir}/purple-2/perl/auto/Purple/
%{_libdir}/purple-2/perl/auto/Purple/Purple.so
%{_libdir}/purple-2/perl.so
%{_mandir}/man3*/*
%endif

%files bonjour
%{_libdir}/purple-2/libbonjour.so

%files tcl
%doc doc/TCL-HOWTO.dox
%{_libdir}/purple-2/tcl.so

%if %build_silc
%files silc
%doc libpurple/protocols/silc/README
%{_libdir}/purple-2/libsilcpurple.so
%endif

%if %build_evolution
%files gevolution
%{_libdir}/%{name}/gevolution.so
%endif

%if %build_meanwhile
%files meanwhile
%{_libdir}/purple-2/libsametime.so
%endif

%if %build_mono
%files mono
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%files plugins
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/autoaccept.so
%{_libdir}/purple-2/buddynote.so
%{_libdir}/purple-2/idle.so
%{_libdir}/purple-2/joinpart.so
%{_libdir}/purple-2/libaim.so
%{_libdir}/purple-2/libgg.so
%{_libdir}/purple-2/libicq.so
%{_libdir}/purple-2/libirc.so
%{_libdir}/purple-2/libjabber.so
%{_libdir}/purple-2/libmsn.so
%{_libdir}/purple-2/libmxit.so
%{_libdir}/purple-2/libmyspace.so
%{_libdir}/purple-2/libnovell.so
%{_libdir}/purple-2/liboscar.so
%{_libdir}/purple-2/libsimple.so
%{_libdir}/purple-2/libxmpp.so
%{_libdir}/purple-2/libymsg.so*
%{_libdir}/purple-2/libyahoo.so
%{_libdir}/purple-2/libyahoojp.so
%{_libdir}/purple-2/libzephyr.so
%{_libdir}/purple-2/log_reader.so
%{_libdir}/purple-2/newline.so
%{_libdir}/purple-2/offlinemsg.so
%{_libdir}/purple-2/one_time_password.so
%{_libdir}/purple-2/psychic.so
%{_libdir}/purple-2/ssl-gnutls.so
%{_libdir}/purple-2/ssl-nss.so
%{_libdir}/purple-2/ssl.so
%{_libdir}/purple-2/statenotify.so
%dir %{_datadir}/purple/
%dir %{_datadir}/purple/ca-certs
%{_datadir}/purple/ca-certs/AOL*
%{_datadir}/purple/ca-certs/Microsoft*
%{_datadir}/purple/ca-certs/VeriSign*
%{_datadir}/purple/ca-certs/DigiCert*



%changelog
* Wed May 09 2012 Götz Waschk <waschk@mandriva.org> 2.10.4-1
+ Revision: 797778
- disable evolution support for Cooker
- update to new version 2.10.4

* Tue Mar 27 2012 Sergey Zhemoitel <serg@mandriva.org> 2.10.3-1
+ Revision: 787438
- update to 2.10.3

* Fri Mar 16 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.10.2-2
+ Revision: 785409
- explicitly add soname to liboscar.so & libjabber.so, since we link other
  plugins against them, fixing dependencies generated (P118)

* Wed Mar 14 2012 Sergey Zhemoitel <serg@mandriva.org> 2.10.2-1
+ Revision: 785022
- release up to 2.10.2

* Tue Dec 13 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.10.1-2
+ Revision: 740742
- fix perl module build (P117)

* Mon Dec 12 2011 Matthew Dawkins <mattydaw@mandriva.org> 2.10.1-1
+ Revision: 740482
- last fix for requires
- pidgin & finch req client not the otherway around
- added build_perl for broken perl build
- fixed BRs
- major spec clean up
- split out purple-client lib
- cleans up requires for devel pkg
- converted BRs to pkgconfig provides
- enabled NM build, NM is now in main
- removed pre200900 Obsoletes/Provides
- renamed libfinch0 to proper lib name libgnt0
- removed dup requires for lib pkgs
- removed is this Cooker

  + Oden Eriksson <oeriksson@mandriva.com>
    - 2.10.1
    - various fixes

* Tue Sep 06 2011 Oden Eriksson <oeriksson@mandriva.com> 2.10.0-3
+ Revision: 698448
- make it backportable again

* Mon Aug 22 2011 Götz Waschk <waschk@mandriva.org> 2.10.0-2
+ Revision: 696147
- update patch 115 and reenable patches

  + Sergey Zhemoitel <serg@mandriva.org>
    - off all patchs
    - new release 2.10.0

* Mon Jun 27 2011 Sergey Zhemoitel <serg@mandriva.org> 2.9.0-2
+ Revision: 687464
- import source new version
- new version 2.9.0

  + Götz Waschk <waschk@mandriva.org>
    - spec cleanup

* Thu Jun 09 2011 Götz Waschk <waschk@mandriva.org> 2.8.0-2
+ Revision: 683415
- build against internal libgadu

* Wed Jun 08 2011 Funda Wang <fwang@mandriva.org> 2.8.0-1
+ Revision: 683216
- update file list
- ther e is no qq protocol
- cleanup spec
- New version 2.8.0
- rediff resolveconf and gg-disconnect patch
- remove fetion protocol, will be replaced by pidgin-ofetion

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.7.11-3
+ Revision: 677214
- rebuild

* Thu May 05 2011 Funda Wang <fwang@mandriva.org> 2.7.11-2
+ Revision: 669200
- br gconf2

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Fri Mar 11 2011 Götz Waschk <waschk@mandriva.org> 2.7.11-1
+ Revision: 643789
- update to new version 2.7.11

* Mon Feb 07 2011 Funda Wang <fwang@mandriva.org> 2.7.10-1
+ Revision: 636555
- update to new version 2.7.10

* Mon Dec 27 2010 Funda Wang <fwang@mandriva.org> 2.7.9-1mdv2011.0
+ Revision: 625375
- update to new version 2.7.9

* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 2.7.8-1mdv2011.0
+ Revision: 623830
- update BR
- new version 2.7.8

* Mon Nov 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7.7-2mdv2011.0
+ Revision: 603141
- rebuild for new libgadu

* Wed Nov 24 2010 Götz Waschk <waschk@mandriva.org> 2.7.7-1mdv2011.0
+ Revision: 600377
- update to new version 2.7.7

* Mon Nov 22 2010 Götz Waschk <waschk@mandriva.org> 2.7.6-2mdv2011.0
+ Revision: 599830
- rebuild
- update to new version 2.7.6

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 2.7.5-3mdv2011.0
+ Revision: 592788
- rebuild again :-(
- rebuild for missing source package

  + Funda Wang <fwang@mandriva.org>
    - new snapshot of fetion plugin
    - new version 2.7.5

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 2.7.4-2mdv2011.0
+ Revision: 591300
- rebuild for py 2.7

* Thu Oct 21 2010 Oden Eriksson <oeriksson@mandriva.com> 2.7.4-1mdv2011.0
+ Revision: 587096
- 2.7.4
- drop one upstream added patch
- drop 2008.0 stuff

* Wed Aug 11 2010 Funda Wang <fwang@mandriva.org> 2.7.3-1mdv2011.0
+ Revision: 568947
- new version 2.7.3
- New version 2.7.2

* Tue Jun 22 2010 Götz Waschk <waschk@mandriva.org> 2.7.1-1mdv2010.1
+ Revision: 548500
- new version
- disable mono plugin as discussed with the pidgin devs
- rediff patches 0,2
- drop patches 4,5,100,102,118,120
- bump gtk+ dep
- build finch with python support

  + Oden Eriksson <oeriksson@mandriva.com>
    - added 2008.0 conditionals

* Mon May 17 2010 Götz Waschk <waschk@mandriva.org> 2.6.6-5mdv2010.1
+ Revision: 544964
- fix build of the mono plugin
- add security patch for msn (CVE-2010-1624)

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 2.6.6-4mdv2010.1
+ Revision: 533672
- add perl plugin patch (bug #58439)

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.6-3mdv2010.1
+ Revision: 527400
- rebuilt against nss-3.12.6

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.6.6-2mdv2010.1
+ Revision: 519817
- add patches for AIM/ICQ client login

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.6-1mdv2010.1
+ Revision: 507410
- 2.6.6
- rediffed P3 but added -avoid-version too

  + Pascal Terjan <pterjan@mandriva.org>
    - Do not list evolution package when not built

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2.6.5-1mdv2010.1
+ Revision: 489460
- New version 2.6.5

* Sat Jan 02 2010 Götz Waschk <waschk@mandriva.org> 2.6.4-3mdv2010.1
+ Revision: 485012
- don't build evolution plugin on Cooker
- prepare for backports

  + Olivier Blin <blino@mandriva.org>
    - bump release
    - default to xdg-open to open links (instead of inexistent mozilla)

* Mon Nov 30 2009 Götz Waschk <waschk@mandriva.org> 2.6.4-1mdv2010.1
+ Revision: 472064
- add MXit plugin
- new version
- drop patches 101, 102, 103
- rediff patch 2

* Sun Oct 25 2009 Götz Waschk <waschk@mandriva.org> 2.6.3-2mdv2010.0
+ Revision: 459197
- fix tray icon size in KDE (bug #54667)

* Fri Oct 16 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.3-1mdv2010.0
+ Revision: 457896
- dropped P100, applied upstream
- rediffed some patches
- 2.6.3

* Sat Oct 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.2-4mdv2010.0
+ Revision: 456482
- reenable gadu-gadu support, because latest libgadu trunk is fixed

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 2.6.2-3mdv2010.0
+ Revision: 456371
- new snapshot of fetion plugin

* Fri Oct 09 2009 Götz Waschk <waschk@mandriva.org> 2.6.2-2mdv2010.0
+ Revision: 456260
- disable libgadu build on Cooker, libgadu 1.9.0 is too new
- backport some fixes from Monotone and Fedora
 * Yahoo status change
 * Yahoo buddy idle time
 * Jabber crash when validating JID
 * AIM grab buddy status
- really disable vv for backports

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.0
+ Revision: 432615
- new version
- update file list

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2010.0
+ Revision: 418043
- new version

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.0-1mdv2010.0
+ Revision: 417964
- new version
- rediff patches 2,111,118
- drop patches 5,120
- update build deps
- update file list

* Tue Aug 18 2009 Frederik Himpe <fhimpe@mandriva.org> 2.5.9-1mdv2010.0
+ Revision: 417853
- update to new version 2.5.9

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 2.5.8-2mdv2010.0
+ Revision: 411852
- new snapshot of fetion plugin

* Mon Jun 29 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-1mdv2010.0
+ Revision: 390445
- bump release
- 2.5.8
- prepare for main/testing

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5.7-1mdv2010.0
+ Revision: 387569
- 2.5.7
- drop one upstream implemented patch (P121)

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 2.5.6-3mdv2010.0
+ Revision: 386941
- New version of fetion plugin

* Fri Jun 05 2009 Götz Waschk <waschk@mandriva.org> 2.5.6-2mdv2010.0
+ Revision: 382982
- fix MSN contact addition

* Thu May 21 2009 Götz Waschk <waschk@mandriva.org> 2.5.6-1mdv2010.0
+ Revision: 378486
- fix installation
- new version
- drop patches 6,7

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-6mdv2010.0
+ Revision: 372835
- fix crash with new mail notification (bug #49124)
- drop old configure option

* Thu Apr 23 2009 Funda Wang <fwang@mandriva.org> 2.5.5-5mdv2009.1
+ Revision: 368796
- New fetion snapshot to fix crash when login

* Thu Apr 02 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-4mdv2009.1
+ Revision: 363556
- fix crash in msn plugin (bug #49160)

* Sat Mar 21 2009 Funda Wang <fwang@mandriva.org> 2.5.5-3mdv2009.1
+ Revision: 359921
- new source of fetion plugin

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for bug #48621

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-1mdv2009.1
+ Revision: 348200
- drop patch 4
- new version
- update file list

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.5.4-2mdv2009.1
+ Revision: 347095
- add one time password plugin

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.5.4-1mdv2009.1
+ Revision: 328879
- spec fix
- update to new version 2.5.4

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.5.3-2mdv2009.1
+ Revision: 328305
- rebuild for new silc-toolkit

* Sun Dec 21 2008 Götz Waschk <waschk@mandriva.org> 2.5.3-1mdv2009.1
+ Revision: 317116
- new version
- rediff patches 0,2,111,119
- drop patch 117
- patches 1,5: fix format strings
- update file list

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.5.2-3mdv2009.1
+ Revision: 311098
- buildrequires dbus-glib-devel
- rebuild for new tcl

* Fri Oct 24 2008 Pascal Terjan <pterjan@mandriva.org> 2.5.2-2mdv2009.1
+ Revision: 296924
- Add a ugly patch to have the window appear when clicking on the tray icon

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.2-1mdv2009.1
+ Revision: 295546
- new version
- drop patches 100-103

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-5mdv2009.1
+ Revision: 293134
- add several crash fixes from Fedora

* Wed Oct 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.5.1-4mdv2009.0
+ Revision: 290324
- Fix conflicts for 2008.1 upgrade

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 2.5.1-3mdv2009.0
+ Revision: 289226
- New snapshot of fetion support

* Fri Sep 05 2008 Pascal Terjan <pterjan@mandriva.org> 2.5.1-2mdv2009.0
+ Revision: 281213
- Add a simple patch to avoid a crash (reported upstream as #6972)

  + Götz Waschk <waschk@mandriva.org>
    - fix build deps
    - fix dep of the devel package

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2009.0
+ Revision: 278103
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.0-2mdv2009.0
+ Revision: 274372
- switch to rootcerts

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2009.0
+ Revision: 274213
- new version
- drop patches 1,113

* Fri Aug 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.3-5mdv2009.0
+ Revision: 268321
- Patch117: new version(this patch should be included upstream into next pidgin release), of the GG picture sender

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.4.3-4mdv2009.0
+ Revision: 240009
- New fetion snapshot

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.4.3-3mdv2009.0
+ Revision: 240005
- disable mono plugin in mips arch

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 2.4.3-2mdv2009.0
+ Revision: 236381
- rebuild

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 2.4.3-1mdv2009.0
+ Revision: 230612
- new version
- temporarily disable patch 4
- drpo patch 118

* Wed Jul 02 2008 Pascal Terjan <pterjan@mandriva.org> 2.4.2-12mdv2009.0
+ Revision: 230582
- Add upstream patch to fix connecting to ICQ

* Fri Jun 27 2008 Funda Wang <fwang@mandriva.org> 2.4.2-11mdv2009.0
+ Revision: 229385
- New snapshot of fetion plugin, fix memory leak

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - own missing directories

* Sun Jun 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-9mdv2009.0
+ Revision: 219309
- Patch117: new version of patch

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 2.4.2-8mdv2009.0
+ Revision: 216780
- disable msnp14 as it is too broken

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch113: new version
    - Patch117: new version
    - clean up buildrequires, descriptions and file list

* Sat Jun 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-6mdv2009.0
+ Revision: 216736
- Patch117: add initial support for sending images for Gadu-Gadu (upstream bug #220, thanks goes to Tomasz S.

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2.4.2-5mdv2009.0
+ Revision: 214118
- add a patch to solve null name for qq group

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 2.4.2-4mdv2009.0
+ Revision: 213076
- build jabber and oscar plugin as module
- try build with msnp14

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-3mdv2009.0
+ Revision: 208977
- remove dumb re-defineies
- remove old switches for really old mdv releases
- add missing buildrequires
- enable SILC support
- do not package COPYING files, fix all the docs
- disable networkmanager as mdv doesn't make any use of it

* Mon May 19 2008 Funda Wang <fwang@mandriva.org> 2.4.2-2mdv2009.0
+ Revision: 208866
- do not build networkmanager
- should BR nm-utils
- only enable nm support on 2009.0

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 2.4.2-1mdv2009.0
+ Revision: 208575
- explicitly enabled evo and cap plugin
- disable evolution build
- fix file list
- BR networkmanager
- New version 2.4.2

* Mon Apr 28 2008 Funda Wang <fwang@mandriva.org> 2.4.1-4mdv2009.0
+ Revision: 198017
- add fetion protocol into file list
- addd fetion support
- add patch for new autoconf (from PLD Linux)

  + Götz Waschk <waschk@mandriva.org>
    - improve deps for backports

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.1-3mdv2009.0
+ Revision: 194810
- drop patch 112 as it was merged upstream
- Patch113: new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-2mdv2009.0
+ Revision: 192440
- split out purple plugins to pidgin-plugins

* Wed Apr 02 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2008.1
+ Revision: 191565
- new version

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-2mdv2008.1
+ Revision: 180317
- remove facebook plugin

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 177360
- new version
- drop patch 2
- update buildrequires

* Wed Feb 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.1-4mdv2008.1
+ Revision: 175953
- Patch116: handle gg server disconnection

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 2.3.1-3mdv2008.1
+ Revision: 170105
- drop unapplied patches 1,114
- patch to fix bug #35905 (broken accounts.xml)

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.1-2mdv2008.1
+ Revision: 152757
- seaching people by uin on Gadu-Gadu network is broken, fixing this with patch 115

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 2.3.1-1mdv2008.1
+ Revision: 116404
- New version 2.3.1

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 113537
- disable patch 114
- set explicit version for libgadu-devel (no SSL support)
- update patches 112 and 113, which are required by pidgin-privacy-please
- new version

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 102021
- new version

* Fri Oct 12 2007 Pascal Terjan <pterjan@mandriva.org> 2.2.1-2mdv2008.1
+ Revision: 97243
- Don't crash on Jabber connection refused in non UTF-8 locale (upstream #2247)

* Wed Oct 03 2007 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 94925
- new version
- update patch 112
- drop patches 114-117

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - correct url for source0
    - remove mixture of tabs and space
    - add upstream patches 114-117 (memleaks, proxy settings etc.)
    - rediff patch 111
    - do not obsolete devel library
    - enable gnutls
    - add scriplets
    - fix file list
    - new version

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 2.1.1-4mdv2008.0
+ Revision: 82025
- rebuild for new soname of tcl

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 2.1.1-3mdv2008.0
+ Revision: 76499
- Synch pp patches with upstream version

* Wed Aug 22 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-2mdv2008.0
+ Revision: 68887
- rediff patch 112 (Maarten Vanraes)
- reenable patch 113

* Tue Aug 21 2007 Funda Wang <fwang@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 68173
- New version 2.1.1
- rediff patch0
- disable privacy patch as it does not apply now

* Sun Aug 12 2007 Funda Wang <fwang@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 62317
- fix upgrade

* Mon Jul 30 2007 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 56708
- New version 2.1.0

* Thu Jul 26 2007 David Walluck <walluck@mandriva.org> 2.0.2-4mdv2008.0
+ Revision: 56092
- add patch for panel icon size

* Mon Jul 23 2007 Funda Wang <fwang@mandriva.org> 2.0.2-3mdv2008.0
+ Revision: 54660
- introduce i18n package to reduce dependency of finch
- rebuild against new silc-toolkit

* Fri Jun 29 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.2-2mdv2008.0
+ Revision: 45603
- rebuild with new rpm-mandriva-setup (-fstack-protector)

  + Funda Wang <fwang@mandriva.org>
    - Add obsoletes
    - New devel policy.

* Fri Jun 15 2007 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2008.0
+ Revision: 40038
- add missing file
- patch1 not needed
- New version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-5mdv2008.0
+ Revision: 39477
- really build against libgadu

* Sat Jun 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-4mdv2008.0
+ Revision: 37630
- don't use pidgin's own libgadu, which is quite old (use one from main repository)
- disable building of static files rather than deleting them
- use some dirty hack for parallel build

* Fri Jun 08 2007 Colin Guthrie <cguthrie@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 37053
- Add support for the Facebook plugin (early in development)
- Patch to work with new Evolution Data Server
- Fix a crash relating to MSN Buddy authorization. Thanks to Stefan Ott.

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-2mdv2008.0
+ Revision: 33203
- patches 112 and 133 enable use of pidgin-privacy-please module

* Sat May 26 2007 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 31329
- New upstream version 2.0.1

* Fri May 04 2007 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 22394
- new upstream version 2.0.0

  + Götz Waschk <waschk@mandriva.org>
    - sync with fedora: drop patches 102,103

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta7.1mdv2008.0
+ Revision: 20573
- fix spec an file list
- drop epoch tag
- drop source 2 (QQ smiley theme)
- drop merged patch 1
- update patch 0
- rediff patch 103

  + Funda Wang <fwang@mandriva.org>
    - evolution plugin should be in pidgin area.
    - split finch into individual package.
    - merge libgaim0 into pidgin main package.
    - make it more clear to distinguish library and app,
      by naming pidgin and purple.
    - try gaim->pidgin convertion.
    - new upstream version beta7
    - gaim now names pidgin
    - gaim now names pidgin

